/* write.cmdline.h */

/* File autogenerated by gengetopt version 2.17  */

#ifndef WRITE_CMDLINE_H
#define WRITE_CMDLINE_H

/* If we use autoconf.  */
#ifdef HAVE_CONFIG_H
#include "config.h"
#endif

#ifdef __cplusplus
extern "C" {
#endif /* __cplusplus */

#ifndef WRITE_CMDLINE_PARSER_PACKAGE
#define WRITE_CMDLINE_PARSER_PACKAGE "para_write"
#endif

#ifndef WRITE_CMDLINE_PARSER_VERSION
#define WRITE_CMDLINE_PARSER_VERSION "(paraslash 0.2.14, transient singularity)\nCopyright (c) 1997-2006 by Andre Noll\nThis is free software with ABSOLUTELY NO WARRANTY. See COPYING for details."
#endif

struct write_args_info
{
  const char *help_help; /* Print help and exit help description.  */
  const char *version_help; /* Print version and exit help description.  */
  int list_writers_flag;	/* print available writers and exit (default=off).  */
  const char *list_writers_help; /* print available writers and exit help description.  */
  int loglevel_arg;	/* set loglevel (0-6) (default='4').  */
  char * loglevel_orig;	/* set loglevel (0-6) original value given at command line.  */
  const char *loglevel_help; /* set loglevel (0-6) help description.  */
  int bufsize_arg;	/* input buffer size (default='64').  */
  char * bufsize_orig;	/* input buffer size original value given at command line.  */
  const char *bufsize_help; /* input buffer size help description.  */
  char ** writer_arg;	/* select stream writer
  may be give multiple times. The same writer
  may be specified more than once (default='alsa (file if alsa is unsupported)').  */
  char ** writer_orig;	/* select stream writer
  may be give multiple times. The same writer
  may be specified more than once original value given at command line.  */
  int writer_min; /* select stream writer
  may be give multiple times. The same writer
  may be specified more than once's minimum occurreces */
  int writer_max; /* select stream writer
  may be give multiple times. The same writer
  may be specified more than once's maximum occurreces */
  const char *writer_help; /* select stream writer
  may be give multiple times. The same writer
  may be specified more than once help description.  */
  char * start_time_arg;	/* start playback at given time which must be
  in a:b format where a denotes seconds and b
  denotes microseconds since the epoch.  */
  char * start_time_orig;	/* start playback at given time which must be
  in a:b format where a denotes seconds and b
  denotes microseconds since the epoch original value given at command line.  */
  const char *start_time_help; /* start playback at given time which must be
  in a:b format where a denotes seconds and b
  denotes microseconds since the epoch help description.  */
  
  int help_given ;	/* Whether help was given.  */
  int version_given ;	/* Whether version was given.  */
  int list_writers_given ;	/* Whether list_writers was given.  */
  int loglevel_given ;	/* Whether loglevel was given.  */
  int bufsize_given ;	/* Whether bufsize was given.  */
  unsigned int writer_given ;	/* Whether writer was given.  */
  int start_time_given ;	/* Whether start_time was given.  */

} ;

extern const char *write_args_info_purpose;
extern const char *write_args_info_usage;
extern const char *write_args_info_help[];

int write_cmdline_parser (int argc, char * const *argv,
  struct write_args_info *args_info);
int write_cmdline_parser2 (int argc, char * const *argv,
  struct write_args_info *args_info,
  int override, int initialize, int check_required);
int write_cmdline_parser_file_save(const char *filename,
  struct write_args_info *args_info);

void write_cmdline_parser_print_help(void);
void write_cmdline_parser_print_version(void);

void write_cmdline_parser_init (struct write_args_info *args_info);
void write_cmdline_parser_free (struct write_args_info *args_info);

int write_cmdline_parser_configfile (char * const filename,
  struct write_args_info *args_info,
  int override, int initialize, int check_required);

int write_cmdline_parser_required (struct write_args_info *args_info,
  const char *prog_name);


#ifdef __cplusplus
}
#endif /* __cplusplus */
#endif /* WRITE_CMDLINE_H */
